Bug 1939037 (CVE-2021-20280) - CVE-2021-20280 moodle: Stored XSS and blind SSRF possible via feedback answer text
Summary: CVE-2021-20280 moodle: Stored XSS and blind SSRF possible via feedback answer...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2021-20280
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1939038 1939039
Blocks: 1939056
TreeView+ depends on / blocked
 
Reported: 2021-03-15 13:49 UTC by Pedro Sampaio
Modified: 2021-03-16 18:24 UTC (History)
3 users (show)

Fixed In Version: moodle 3.10.2, moodle 3.9.5, moodle 3.8.8, moodle 3.5.17
Doc Type: ---
Doc Text:
A flaw was found in moodle. Text-based feedback answers required additional sanitizing to prevent stored XSS and blind SSRF risks.
Clone Of:
Environment:
Last Closed: 2021-03-15 17:25:56 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2021-03-15 13:49:21 UTC
Text-based feedback answers required additional sanitizing to prevent stored XSS and blind SSRF risks.

References:

https://moodle.org/mod/forum/discuss.php?d=419651

Comment 1 Pedro Sampaio 2021-03-15 13:49:26 UTC
External References:

https://moodle.org/mod/forum/discuss.php?d=419651

Comment 2 Pedro Sampaio 2021-03-15 13:49:56 UTC
Created moodle tracking bugs for this issue:

Affects: epel-all [bug 1939038]
Affects: fedora-all [bug 1939039]

Comment 3 Product Security DevOps Team 2021-03-15 17:25:56 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.